---
last_modified_on: "2020-07-13"
component_title: "ANSI Stripper"
description: "The Vector `ansi_stripper` transform accepts and outputs `log` events, allowing you to strips ANSI escape sequences from the specified field."
event_types: ["log"]
function_category: "sanitize"
issues_url: https://github.com/timberio/vector/issues?q=is%3Aopen+is%3Aissue+label%3A%22transform%3A+ansi_stripper%22
operating_systems: ["Linux","MacOS","Windows"]
sidebar_label: "ansi_stripper|[\"log\"]"
source_url: https://github.com/timberio/vector/tree/master/src/transforms/ansi_stripper.rs
status: "prod-ready"
title: "ANSI Stripper Transform"
unsupported_operating_systems: []
---

import Fields from '@site/src/components/Fields';
import Field from '@site/src/components/Field';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

The Vector `ansi_stripper` transform
accepts and outputs [`log`][docs.data-model.log] events, allowing you to strips
ANSI escape sequences from the specified field.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/reference/transforms/ansi_stripper.md.erb
-->

## Configuration

<Tabs
  block={true}
  defaultValue="common"
  values={[{"label":"Common","value":"common"},{"label":"Advanced","value":"advanced"}]}>
<TabItem value="common">

```toml title="vector.toml"
[transforms.my_transform_id]
  type = "ansi_stripper" # required
  inputs = ["my-source-or-transform-id"] # required
  field = "message" # optional, default
```

</TabItem>
<TabItem value="advanced">

```toml title="vector.toml"
[transforms.my_transform_id]
  type = "ansi_stripper" # required
  inputs = ["my-source-or-transform-id"] # required
  field = "message" # optional, default
```

</TabItem>
</Tabs>

<Fields filters={true}>
<Field
  common={true}
  defaultValue={"message"}
  enumValues={null}
  examples={["message","parent.child","array[0]"]}
  groups={[]}
  name={"field"}
  path={null}
  relevantWhen={null}
  required={false}
  templateable={false}
  type={"string"}
  unit={null}
  warnings={[]}
  >

### field

The target field to strip ANSI escape sequences from.
 See [Field Notation Syntax](#field-notation-syntax) for more info.


</Field>
</Fields>


## How It Works

### Complex Processing

If you encounter limitations with the `ansi_stripper`
transform then we recommend using a [runtime transform][urls.vector_programmable_transforms].
These transforms are designed for complex processing and give you the power of
full programming runtime.

### Environment Variables

Environment variables are supported through all of Vector's configuration.
Simply add `${MY_ENV_VAR}` in your Vector configuration file and the variable
will be replaced before being evaluated.

You can learn more in the
[Environment Variables][docs.configuration#environment-variables] section.

### Field Notation Syntax

The [`field`](#field) options
support [Vector's field notation syntax][docs.reference.field-path-notation],
enabling access to root-level, nested, and array field values. For example:

```toml title="vector.toml"
[transforms.my_ansi_stripper_transform_id]
  # ...
  field = "message"
  field = "parent.child"
  field = "array[0]"
  # ...
```

You can learn more about Vector's field notation in the
[field notation reference][docs.reference.field-path-notation].

[docs.configuration#environment-variables]: /docs/setup/configuration/#environment-variables
[docs.data-model.log]: /docs/about/data-model/log/
[docs.reference.field-path-notation]: /docs/reference/field-path-notation/
[urls.vector_programmable_transforms]: https://vector.dev/components/?functions%5B%5D=program
